import { CommonService } from '../../service/common.service';
import { EChartOption } from 'echarts';
import { ChartOptionService } from '../../service/chart-option.service';
import { ECharts } from 'echarts';
export declare class BasicScatterService {
    private commonService;
    private chartOptionService;
    constructor(commonService: CommonService, chartOptionService: ChartOptionService);
    getChartxAxis(): EChartOption.XAxis[];
    setInterval(option: any, interval: Number): void;
    topLegendChange(legendData: any[], optionInit: ECharts): void;
    setSmallModeGrid(gridOption: EChartOption.Grid): void;
    setSmallModePadding(component: any): void;
    setXaxisName(xAxisOption: EChartOption.XAxis[], xAxisName: string): void;
    setYaxisName(yAxisOption: EChartOption.YAxis[], yAxisName: string): void;
    setYNameGap(yAxisOption: EChartOption.YAxis[], yNameGap: number): void;
    setXAxisLabelRotate(xAxisOption: EChartOption.XAxis[], xAxisLabelRotate: any): void;
    changeChartTitleDark(component: any, darkMode: boolean): void;
    setLegendPosition(gridOption: EChartOption.Grid, legendOption: any, legendPosition: string): void;
    chartBackgroundColorDarkMode(chartOption: any): void;
    xAxisDarkMode(xAxisOption: EChartOption.XAxis[]): void;
    yAxisDarkMode(yAxisOption: EChartOption.YAxis[]): void;
    colorsDarkMode(chartColor: string[]): void;
    chartColorsChange(colors: string[], colorList: string[]): void;
    legendDarkMode(legendOption: any): void;
    seriesDarkMode(seriesOption: EChartOption.Series): void;
    setYAxisMin(yAxisOption: EChartOption.YAxis[], yAxisMin: number): void;
    setYAxisMax(yAxisOption: EChartOption.YAxis[], yAxisMax: number): void;
    setYAxisInterval(yAxisOption: EChartOption.YAxis[], yAxisInterval: number): void;
    setDimensions(dimensions: any, scatterSeries: EChartOption.SeriesScatter): void;
    getDefaultScatterSeries(): EChartOption.SeriesScatter;
    getDefaultScatterTooltip(): {
        show: boolean;
        confine: boolean;
        trigger: "none" | "item" | "axis";
        axisPointer: {
            show: boolean;
            type: "none" | "line" | "cross" | "shadow";
            shadowStyle: {
                color: string;
            };
        };
        borderColor: string;
        borderWidth: number;
        backgroundColor: string;
        extraCssText: string;
        textStyle: {
            color: string;
            fontSize: number;
        };
        padding: number;
        formatter: (params: any) => string;
    };
    buildSeries(chartData: any, seriesList: EChartOption.Series[], scatterSeriesOpt: EChartOption.Series): void;
    setTooltipUnit(tooltipOption: EChartOption.Tooltip, unit: string[]): void;
    setSplitLineShow(xAxisOption: EChartOption.XAxis[], yAxisOption: EChartOption.YAxis[], splitLineShow: boolean | boolean[]): void;
    setSymbolSize(size: any, scatterSeriesOpt: EChartOption.SeriesScatter): void;
}
